
Foreman - Feature #981

Return user assigned roles via json API

06/13/2011 08:40 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I need a way to check if a user has permissions to perform actions on foreman before executing those actions via the api.  I would

like to see some json code return that details what the user has access to.

Associated revisions

Revision d076d573 - 11/21/2012 08:10 AM - Joseph Magen

This commit adds most of the functionality required for API v1

The overall goal was to extract the existing JSON response

overall controllers, and to move them to a seperate name space.

documentation was added to all requests (available under /apidoc)

this include same request and response generated using

APIPIE_RECORD=examples rake test:api

Also Fixes #1800, fixes #1419, fixes #981 and fixes #1774

whats missing:

1. Permissions checks for all new controllers

2. Nested routes (e.g. /hosts/id/reports)

3. running tests with oauth/basic_auth (instead of as_admin {get /})

History

#1 - 07/17/2011 06:00 AM - Ohad Levy

You could always try to execute those commands and get a access denied 403 error?

What you are asking is basically allowed_to method over the api (something like a dry run?)

#2 - 07/18/2011 12:48 AM - Corey Osman

I am currently just handling access denied.  However, in the future it would be nice to let the user know what they are allowed to do pertaining to my

mobile app.  This would be used as a precheck to determine what the user can't do so I can disable features.

#3 - 09/04/2011 04:46 AM - Ohad Levy

- Target version deleted (0.4)

#4 - 11/15/2012 08:06 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Target version set to Bug scrub

Part of https://github.com/theforeman/foreman/pull/239

#5 - 11/21/2012 08:28 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset d076d5731d733bbc6210c81d3b11ed7d2ba8b9d7.
